Index: scripts/unify-sources.sh
===================================================================
--- scripts/unify-sources.sh	(revision 396)
+++ scripts/unify-sources.sh	(revision 208)
@@ -4,182 +4,7 @@
 HGROOT=`hg root`
 
-# file enumaration modes
-
-function all_files() {
-    hg status -a -m -c |
-    cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function modified_files() {
-    hg status -a -m |
-    cut -d ' ' -f 2 | grep -E  '(\.(cc|h|dox)$|Makefile\.am$)' |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function changed_files() {
-    {
-        if [ -n "$HG_PARENT1" ]
-        then
-            hg status --rev $HG_PARENT1:$HG_NODE -a -m
-        fi
-        if [ -n "$HG_PARENT2" ]
-        then
-            hg status --rev $HG_PARENT2:$HG_NODE -a -m
-        fi
-    } | cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' | 
-    sort | uniq |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function given_files() {
-    for file in $GIVEN_FILES
-    do
-	echo $file
-    done
-}
-
-# actions
-
-function update_action() {
-    if ! diff -q $1 $2 >/dev/null
-    then
-	echo -n " [$3 updated]"
-	rm $2
-	mv $1 $2
-	CHANGED=YES
-    fi
-}
-
-function update_warning() {
-    echo -n " [$2 warning]"
-    WARNED=YES
-}
-
-function update_init() {
-    echo Update source files...
-    TOTAL_FILES=0
-    CHANGED_FILES=0
-    WARNED_FILES=0
-}
-
-function update_done() {
-    echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
-}
-
-function update_begin() {
-    ((TOTAL_FILES++))
-    CHANGED=NO
-    WARNED=NO
-}
-
-function update_end() {
-    if [ $CHANGED == YES ]
-    then
-	((++CHANGED_FILES))
-    fi
-    if [ $WARNED == YES ]
-    then
-	((++WARNED_FILES))
-    fi
-}
-
-function check_action() {
-    if [ "$3" == 'tabs' ]
-    then
-        PATTERN=$(echo -e '\t')
-    elif [ "$3" == 'trailing spaces' ]
-    then
-        PATTERN='\ +$'
-    else
-        PATTERN='*'
-    fi
-
-    if ! diff -q $1 $2 >/dev/null
-    then
-        if [ "$PATTERN" == '*' ]
-        then
-            diff $1 $2 | grep '^[0-9]' | sed "s|^\(.*\)c.*$|$2:\1: check failed: $3|g" |
-              sed "s/:\([0-9]*\),\([0-9]*\):\(.*\)$/:\1:\3 (until line \2)/g"
-        else
-            grep -n -E "$PATTERN" $2 | sed "s|^\([0-9]*\):.*$|$2:\1: check failed: $3|g"
-        fi
-        FAILED=YES
-    fi
-}
-
-function check_warning() {
-    if [ "$2" == 'long lines' ]
-    then
-        grep -n -E '.{81,}' $1 | sed "s|^\([0-9]*\):.*$|$1:\1: warning: $2|g"
-    else
-        echo "$1: warning: $2"
-    fi
-    WARNED=YES
-}
-
-function check_init() {
-    echo Check source files...
-    FAILED_FILES=0
-    WARNED_FILES=0
-    TOTAL_FILES=0
-}
-
-function check_done() {
-    echo $FAILED_FILES out of $TOTAL_FILES files has been failed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
-
-    if [ $WARNED_FILES -gt 0 -o $FAILED_FILES -gt 0 ]
-    then
-	if [ "$WARNING" == 'INTERACTIVE' ]
-	then
-	    echo -n "Are the files with errors/warnings acceptable? (yes/no) "
-	    while read answer
-	    do
-		if [ "$answer" == 'yes' ]
-		then
-		    return 0
-		elif [ "$answer" == 'no' ]
-		then
-		    return 1
-		fi
-		echo -n "Are the files with errors/warnings acceptable? (yes/no) "
-	    done
-	elif [ "$WARNING" == 'WERROR' ]
-	then
-	    return 1
-	fi
-    fi
-}
-
-function check_begin() {
-    ((TOTAL_FILES++))
-    FAILED=NO
-    WARNED=NO
-}
-
-function check_end() {
-    if [ $FAILED == YES ]
-    then
-	((++FAILED_FILES))
-    fi
-    if [ $WARNED == YES ]
-    then
-	((++WARNED_FILES))
-    fi
-}
-
-
-
-# checks
-
-function header_check() {
-    if echo $1 | grep -q -E 'Makefile\.am$'
-    then
-	return
-    fi
-
+function update_header() {
     TMP_FILE=`mktemp`
+    FILE_NAME=$1
 
     (echo "/* -*- mode: C++; indent-tabs-mode: nil; -*-
@@ -201,5 +26,5 @@
  */
 "
-    awk 'BEGIN { pm=0; }
+	awk 'BEGIN { pm=0; }
      pm==3 { print }
      /\/\* / && pm==0 { pm=1;}
@@ -207,156 +32,103 @@
      /\*\// && pm==1 { pm=2;}
     ' $1
-    ) >$TMP_FILE
+	) >$TMP_FILE
 
-    "$ACTION"_action "$TMP_FILE" "$1" header
+    HEADER_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function tabs_check() {
-    if echo $1 | grep -q -v -E 'Makefile\.am$'
-    then
-        OLD_PATTERN=$(echo -e '\t')
-        NEW_PATTERN='        '
-    else
-        OLD_PATTERN='        '
-        NEW_PATTERN=$(echo -e '\t')
-    fi
+function update_tabs() {
     TMP_FILE=`mktemp`
-    cat $1 | sed -e "s/$OLD_PATTERN/$NEW_PATTERN/g" >$TMP_FILE
+    FILE_NAME=$1
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'tabs'
+    cat $1 |
+    sed -e 's/\t/        /g' >$TMP_FILE
+
+    TABS_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function spaces_check() {
+function remove_trailing_space() {
     TMP_FILE=`mktemp`
-    cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
+    FILE_NAME=$1
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
+    cat $1 |
+    sed -e 's/ \+$//g' >$TMP_FILE
+
+    SPACES_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function long_lines_check() {
-    if cat $1 | grep -q -E '.{81,}'
+function long_line_test() {
+    cat $1 |grep -q -E '.{81,}'
+}
+
+function update_file() {
+    echo -n '    update' $i ...
+
+    update_header $1
+    update_tabs $1
+    remove_trailing_space $1
+
+    CHANGED=NO;
+    if [[ $HEADER_CH = YES ]];
     then
-	"$ACTION"_warning $1 'long lines'
+	echo -n '  [header updated]'
+	CHANGED=YES;
+    fi
+    if [[ $TABS_CH = YES ]];
+    then
+	echo -n ' [tabs removed]'
+	CHANGED=YES;
+    fi
+    if [[ $SPACES_CH = YES ]];
+    then
+	echo -n ' [trailing spaces removed]'
+	CHANGED=YES;
+    fi
+    if long_line_test $1 ;
+    then
+	echo -n ' [LONG LINES]'
+	((LONG_LINE_FILES++))
+    fi
+    echo
+    if [[ $CHANGED = YES ]];
+    then
+	((CHANGED_FILES++))
     fi
 }
 
-# process the file
-
-function process_file() {
-    if [ "$ACTION" == 'update' ]
-    then
-        echo -n "    $ACTION $1..."
-    else
-        echo "	  $ACTION $1..."
-    fi
-
-    CHECKING="header tabs spaces long_lines"
-
-    "$ACTION"_begin $1
-    for check in $CHECKING
+CHANGED_FILES=0
+TOTAL_FILES=0
+LONG_LINE_FILES=0
+if [ $# == 0 ]; then
+    echo Update all source files...
+    for i in `hg manifest|grep -E  '\.(cc|h|dox)$'`
     do
-	"$check"_check $1
+	update_file $HGROOT/$i
+	((TOTAL_FILES++))
     done
-    "$ACTION"_end $1
-    if [ "$ACTION" == 'update' ]
-    then
-        echo
-    fi
-}
-
-function process_all {
-    "$ACTION"_init
-    while read file
+    echo '  done.'
+else
+    for i in $*
     do
-	process_file $file
-    done < <($FILES)
-    "$ACTION"_done
-}
-
-while [ $# -gt 0 ]
-do
-    
-    if [ "$1" == '--help' ] || [ "$1" == '-h' ]
-    then
-	echo -n \
-"Usage:
-  $0 [OPTIONS] [files]
-Options:
-  --dry-run|-n
-     Check the files, but do not modify them.
-  --interactive|-i
-     If --dry-run is specified and the checker emits warnings,
-     then the user is asked if the warnings should be considered
-     errors.
-  --werror|-w
-     Make all warnings into errors.
-  --all|-a
-     Check all source files in the repository.
-  --modified|-m
-     Check only the modified (and new) source files. This option is
-     useful to check the modification before making a commit.
-  --changed|-c
-     Check only the changed source files compared to the parent(s) of
-     the current hg node.  This option is useful as hg hook script.
-     To automatically check all your changes before making a commit,
-     add the following section to the appropriate .hg/hgrc file.
-
-       [hooks]
-       pretxncommit.checksources = scripts/unify-sources.sh -c -n -i
-
-  --help|-h
-     Print this help message.
-  files
-     The files to check/unify. If no file names are given, the modified
-     source files will be checked/unified (just like using the
-     --modified|-m option).
-"
-        exit 0
-    elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
-    then
-	[ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
-	ACTION=check
-    elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=all_files
-    elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=changed_files
-    elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=modified_files
-    elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
-    then
-	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
-	WARNING='INTERACTIVE'
-    elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
-    then
-	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
-	WARNING='WERROR'
-    elif [ $(echo x$1 | cut -c 2) == '-' ]
-    then
-	echo "Invalid option $1" >&2 && exit 1
-    else
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
-	GIVEN_FILES=$@
-	FILES=given_files
-	break
-    fi
-    
-    shift
-done
-
-if [ -z $FILES ]
-then
-    FILES=modified_files
+	update_file $i
+	((TOTAL_FILES++))
+    done
 fi
-
-if [ -z $ACTION ]
-then
-    ACTION=update
+echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
+if [[ $LONG_LINE_FILES -gt 1 ]]; then
+    echo
+    echo WARNING: $LONG_LINE_FILES files contains long lines!    
+    echo
+elif [[ $LONG_LINE_FILES -gt 0 ]]; then
+    echo
+    echo WARNING: a file contains long lines!
+    echo
 fi
-
-process_all
Index: test/CMakeLists.txt
===================================================================
--- test/CMakeLists.txt	(revision 488)
+++ test/CMakeLists.txt	(revision 225)
@@ -1,17 +1,8 @@
-INCLUDE_DIRECTORIES(
-  ${CMAKE_SOURCE_DIR}
-  ${CMAKE_BINARY_DIR}
-)
-
-IF(HAVE_GLPK)
-  INCLUDE_DIRECTORIES(${GLPK_INCLUDE_DIR})
-ENDIF(HAVE_GLPK)
+INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
 
 LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/lemon)
 
 SET(TESTS
-  adaptors_test
   bfs_test
-  circulation_test
   counter_test
   dfs_test
@@ -19,57 +10,15 @@
   dijkstra_test
   dim_test
-  edge_set_test
   error_test
   graph_copy_test
   graph_test
   graph_utils_test
-  hao_orlin_test
   heap_test
   kruskal_test
   maps_test
-  max_matching_test
+  random_test
   path_test
-  preflow_test
-  radix_sort_test
-  random_test
-  suurballe_test
   time_measure_test
   unionfind_test)
-
-IF(HAVE_LP)
-  ADD_EXECUTABLE(lp_test lp_test.cc)
-  IF(HAVE_GLPK)
-    TARGET_LINK_LIBRARIES(lp_test lemon ${GLPK_LIBRARIES})
-  ENDIF(HAVE_GLPK)
-  ADD_TEST(lp_test lp_test)
-
-  IF(WIN32 AND HAVE_GLPK)
-    GET_TARGET_PROPERTY(TARGET_LOC lp_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET lp_test POST_BUILD
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/glpk.dll ${TARGET_PATH}
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/libltdl3.dll ${TARGET_PATH}
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/zlib1.dll ${TARGET_PATH}
-    )
-  ENDIF(WIN32 AND HAVE_GLPK)
-ENDIF(HAVE_LP)
-
-IF(HAVE_MIP)
-  ADD_EXECUTABLE(mip_test mip_test.cc)
-  IF(HAVE_GLPK)
-    TARGET_LINK_LIBRARIES(mip_test lemon ${GLPK_LIBRARIES})
-  ENDIF(HAVE_GLPK)
-  ADD_TEST(mip_test mip_test)
-
-  IF(WIN32 AND HAVE_GLPK)
-    GET_TARGET_PROPERTY(TARGET_LOC mip_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET mip_test POST_BUILD
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/glpk.dll ${TARGET_PATH}
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/libltdl3.dll ${TARGET_PATH}
-      COMMAND cmake -E copy ${GLPK_BIN_DIR}/zlib1.dll ${TARGET_PATH}
-    )
-  ENDIF(WIN32 AND HAVE_GLPK)
-ENDIF(HAVE_MIP)
 
 FOREACH(TEST_NAME ${TESTS})
Index: test/Makefile.am
===================================================================
--- test/Makefile.am	(revision 469)
+++ test/Makefile.am	(revision 228)
@@ -4,48 +4,31 @@
 noinst_HEADERS += \
 	test/graph_test.h \
-	test/test_tools.h
+        test/test_tools.h
 
 check_PROGRAMS += \
-	test/adaptors_test \
 	test/bfs_test \
-	test/circulation_test \
-	test/counter_test \
+        test/counter_test \
 	test/dfs_test \
 	test/digraph_test \
 	test/dijkstra_test \
-	test/dim_test \
-	test/edge_set_test \
+        test/dim_test \
 	test/error_test \
 	test/graph_copy_test \
 	test/graph_test \
 	test/graph_utils_test \
-	test/hao_orlin_test \
 	test/heap_test \
 	test/kruskal_test \
-	test/maps_test \
-	test/max_matching_test \
-	test/path_test \
-	test/preflow_test \
-	test/radix_sort_test \
-	test/random_test \
-	test/suurballe_test \
-	test/test_tools_fail \
-	test/test_tools_pass \
-	test/time_measure_test \
+        test/maps_test \
+        test/random_test \
+        test/path_test \
+        test/test_tools_fail \
+        test/test_tools_pass \
+        test/time_measure_test \
 	test/unionfind_test
-
-if HAVE_LP
-check_PROGRAMS += test/lp_test
-endif HAVE_LP
-if HAVE_MIP
-check_PROGRAMS += test/mip_test
-endif HAVE_MIP
 
 TESTS += $(check_PROGRAMS)
 XFAIL_TESTS += test/test_tools_fail$(EXEEXT)
 
-test_adaptors_test_SOURCES = test/adaptors_test.cc
 test_bfs_test_SOURCES = test/bfs_test.cc
-test_circulation_test_SOURCES = test/circulation_test.cc
 test_counter_test_SOURCES = test/counter_test.cc
 test_dfs_test_SOURCES = test/dfs_test.cc
@@ -53,5 +36,4 @@
 test_dijkstra_test_SOURCES = test/dijkstra_test.cc
 test_dim_test_SOURCES = test/dim_test.cc
-test_edge_set_test_SOURCES = test/edge_set_test.cc
 test_error_test_SOURCES = test/error_test.cc
 test_graph_copy_test_SOURCES = test/graph_copy_test.cc
@@ -60,13 +42,6 @@
 test_heap_test_SOURCES = test/heap_test.cc
 test_kruskal_test_SOURCES = test/kruskal_test.cc
-test_hao_orlin_test_SOURCES = test/hao_orlin_test.cc
-test_lp_test_SOURCES = test/lp_test.cc
 test_maps_test_SOURCES = test/maps_test.cc
-test_mip_test_SOURCES = test/mip_test.cc
-test_max_matching_test_SOURCES = test/max_matching_test.cc
 test_path_test_SOURCES = test/path_test.cc
-test_preflow_test_SOURCES = test/preflow_test.cc
-test_radix_sort_test_SOURCES = test/radix_sort_test.cc
-test_suurballe_test_SOURCES = test/suurballe_test.cc
 test_random_test_SOURCES = test/random_test.cc
 test_test_tools_fail_SOURCES = test/test_tools_fail.cc
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 440)
+++ test/bfs_test.cc	(revision 293)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/counter_test.cc
===================================================================
--- test/counter_test.cc	(revision 440)
+++ test/counter_test.cc	(revision 209)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/dfs_test.cc
===================================================================
--- test/dfs_test.cc	(revision 440)
+++ test/dfs_test.cc	(revision 293)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/digraph_test.cc
===================================================================
--- test/digraph_test.cc	(revision 440)
+++ test/digraph_test.cc	(revision 228)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -20,5 +20,6 @@
 #include <lemon/list_graph.h>
 #include <lemon/smart_graph.h>
-#include <lemon/full_graph.h>
+//#include <lemon/full_graph.h>
+//#include <lemon/hypercube_graph.h>
 
 #include "test_tools.h"
@@ -29,5 +30,5 @@
 
 template <class Digraph>
-void checkDigraphBuild() {
+void checkDigraph() {
   TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
   Digraph G;
@@ -58,206 +59,5 @@
   checkGraphConArcList(G, 1);
 
-  Arc a2 = G.addArc(n2, n1),
-      a3 = G.addArc(n2, n3),
-      a4 = G.addArc(n2, n3);
-
-  checkGraphNodeList(G, 3);
-  checkGraphArcList(G, 4);
-
-  checkGraphOutArcList(G, n1, 1);
-  checkGraphOutArcList(G, n2, 3);
-  checkGraphOutArcList(G, n3, 0);
-
-  checkGraphInArcList(G, n1, 1);
-  checkGraphInArcList(G, n2, 1);
-  checkGraphInArcList(G, n3, 2);
-
-  checkGraphConArcList(G, 4);
-
-  checkNodeIds(G);
-  checkArcIds(G);
-  checkGraphNodeMap(G);
-  checkGraphArcMap(G);
-}
-
-template <class Digraph>
-void checkDigraphSplit() {
-  TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
-  Digraph G;
-  Node n1 = G.addNode(), n2 = G.addNode(), n3 = G.addNode();
-  Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
-      a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-
-  Node n4 = G.split(n2);
-
-  check(G.target(OutArcIt(G, n2)) == n4 &&
-        G.source(InArcIt(G, n4)) == n2,
-        "Wrong split.");
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 5);
-
-  checkGraphOutArcList(G, n1, 1);
-  checkGraphOutArcList(G, n2, 1);
-  checkGraphOutArcList(G, n3, 0);
-  checkGraphOutArcList(G, n4, 3);
-
-  checkGraphInArcList(G, n1, 1);
-  checkGraphInArcList(G, n2, 1);
-  checkGraphInArcList(G, n3, 2);
-  checkGraphInArcList(G, n4, 1);
-
-  checkGraphConArcList(G, 5);
-}
-
-template <class Digraph>
-void checkDigraphAlter() {
-  TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
-  Digraph G;
-  Node n1 = G.addNode(), n2 = G.addNode(),
-       n3 = G.addNode(), n4 = G.addNode();
-  Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n4, n1),
-      a3 = G.addArc(n4, n3), a4 = G.addArc(n4, n3),
-      a5 = G.addArc(n2, n4);
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 5);
-
-  // Check changeSource() and changeTarget()
-  G.changeTarget(a4, n1);
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 5);
-
-  checkGraphOutArcList(G, n1, 1);
-  checkGraphOutArcList(G, n2, 1);
-  checkGraphOutArcList(G, n3, 0);
-  checkGraphOutArcList(G, n4, 3);
-
-  checkGraphInArcList(G, n1, 2);
-  checkGraphInArcList(G, n2, 1);
-  checkGraphInArcList(G, n3, 1);
-  checkGraphInArcList(G, n4, 1);
-
-  checkGraphConArcList(G, 5);
-
-  G.changeSource(a4, n3);
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 5);
-
-  checkGraphOutArcList(G, n1, 1);
-  checkGraphOutArcList(G, n2, 1);
-  checkGraphOutArcList(G, n3, 1);
-  checkGraphOutArcList(G, n4, 2);
-
-  checkGraphInArcList(G, n1, 2);
-  checkGraphInArcList(G, n2, 1);
-  checkGraphInArcList(G, n3, 1);
-  checkGraphInArcList(G, n4, 1);
-
-  checkGraphConArcList(G, 5);
-
-  // Check contract()
-  G.contract(n2, n4, false);
-
-  checkGraphNodeList(G, 3);
-  checkGraphArcList(G, 5);
-
-  checkGraphOutArcList(G, n1, 1);
-  checkGraphOutArcList(G, n2, 3);
-  checkGraphOutArcList(G, n3, 1);
-
-  checkGraphInArcList(G, n1, 2);
-  checkGraphInArcList(G, n2, 2);
-  checkGraphInArcList(G, n3, 1);
-
-  checkGraphConArcList(G, 5);
-
-  G.contract(n2, n1);
-
-  checkGraphNodeList(G, 2);
-  checkGraphArcList(G, 3);
-
-  checkGraphOutArcList(G, n2, 2);
-  checkGraphOutArcList(G, n3, 1);
-
-  checkGraphInArcList(G, n2, 2);
-  checkGraphInArcList(G, n3, 1);
-
-  checkGraphConArcList(G, 3);
-}
-
-template <class Digraph>
-void checkDigraphErase() {
-  TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
-  Digraph G;
-  Node n1 = G.addNode(), n2 = G.addNode(),
-       n3 = G.addNode(), n4 = G.addNode();
-  Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n4, n1),
-      a3 = G.addArc(n4, n3), a4 = G.addArc(n3, n1),
-      a5 = G.addArc(n2, n4);
-
-  // Check arc deletion
-  G.erase(a1);
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 4);
-
-  checkGraphOutArcList(G, n1, 0);
-  checkGraphOutArcList(G, n2, 1);
-  checkGraphOutArcList(G, n3, 1);
-  checkGraphOutArcList(G, n4, 2);
-
-  checkGraphInArcList(G, n1, 2);
-  checkGraphInArcList(G, n2, 0);
-  checkGraphInArcList(G, n3, 1);
-  checkGraphInArcList(G, n4, 1);
-
-  checkGraphConArcList(G, 4);
-
-  // Check node deletion
-  G.erase(n4);
-
-  checkGraphNodeList(G, 3);
-  checkGraphArcList(G, 1);
-
-  checkGraphOutArcList(G, n1, 0);
-  checkGraphOutArcList(G, n2, 0);
-  checkGraphOutArcList(G, n3, 1);
-  checkGraphOutArcList(G, n4, 0);
-
-  checkGraphInArcList(G, n1, 1);
-  checkGraphInArcList(G, n2, 0);
-  checkGraphInArcList(G, n3, 0);
-  checkGraphInArcList(G, n4, 0);
-
-  checkGraphConArcList(G, 1);
-}
-
-
-template <class Digraph>
-void checkDigraphSnapshot() {
-  TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
-  Digraph G;
-  Node n1 = G.addNode(), n2 = G.addNode(), n3 = G.addNode();
-  Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
-      a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-
-  typename Digraph::Snapshot snapshot(G);
-
-  Node n = G.addNode();
-  G.addArc(n3, n);
-  G.addArc(n, n3);
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 6);
-
-  snapshot.restore();
-
+  Arc a2 = G.addArc(n2, n1), a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
   checkGraphNodeList(G, 3);
   checkGraphArcList(G, 4);
@@ -278,14 +78,6 @@
   checkGraphArcMap(G);
 
-  G.addNode();
-  snapshot.save(G);
+}
 
-  G.addArc(G.addNode(), G.addNode());
-
-  snapshot.restore();
-
-  checkGraphNodeList(G, 4);
-  checkGraphArcList(G, 4);
-}
 
 void checkConcepts() {
@@ -318,7 +110,10 @@
     checkConcept<ClearableDigraphComponent<>, SmartDigraph>();
   }
-  { // Checking FullDigraph
-    checkConcept<Digraph, FullDigraph>();
-  }
+//  { // Checking FullDigraph
+//    checkConcept<Digraph, FullDigraph>();
+//  }
+//  { // Checking HyperCubeDigraph
+//    checkConcept<Digraph, HyperCubeDigraph>();
+//  }
 }
 
@@ -373,53 +168,12 @@
 }
 
-void checkFullDigraph(int num) {
-  typedef FullDigraph Digraph;
-  DIGRAPH_TYPEDEFS(Digraph);
-  Digraph G(num);
-
-  checkGraphNodeList(G, num);
-  checkGraphArcList(G, num * num);
-
-  for (NodeIt n(G); n != INVALID; ++n) {
-    checkGraphOutArcList(G, n, num);
-    checkGraphInArcList(G, n, num);
-  }
-
-  checkGraphConArcList(G, num * num);
-
-  checkNodeIds(G);
-  checkArcIds(G);
-  checkGraphNodeMap(G);
-  checkGraphArcMap(G);
-
-  for (int i = 0; i < G.nodeNum(); ++i) {
-    check(G.index(G(i)) == i, "Wrong index");
-  }
-
-  for (NodeIt s(G); s != INVALID; ++s) {
-    for (NodeIt t(G); t != INVALID; ++t) {
-      Arc a = G.arc(s, t);
-      check(G.source(a) == s && G.target(a) == t, "Wrong arc lookup");
-    }
-  }
-}
-
 void checkDigraphs() {
   { // Checking ListDigraph
-    checkDigraphBuild<ListDigraph>();
-    checkDigraphSplit<ListDigraph>();
-    checkDigraphAlter<ListDigraph>();
-    checkDigraphErase<ListDigraph>();
-    checkDigraphSnapshot<ListDigraph>();
+    checkDigraph<ListDigraph>();
     checkDigraphValidityErase<ListDigraph>();
   }
   { // Checking SmartDigraph
-    checkDigraphBuild<SmartDigraph>();
-    checkDigraphSplit<SmartDigraph>();
-    checkDigraphSnapshot<SmartDigraph>();
+    checkDigraph<SmartDigraph>();
     checkDigraphValidity<SmartDigraph>();
-  }
-  { // Checking FullDigraph
-    checkFullDigraph(8);
   }
 }
Index: test/dijkstra_test.cc
===================================================================
--- test/dijkstra_test.cc	(revision 440)
+++ test/dijkstra_test.cc	(revision 397)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/dim_test.cc
===================================================================
--- test/dim_test.cc	(revision 440)
+++ test/dim_test.cc	(revision 253)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/error_test.cc
===================================================================
--- test/error_test.cc	(revision 440)
+++ test/error_test.cc	(revision 277)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: test/graph_copy_test.cc
===================================================================
--- test/graph_copy_test.cc	(revision 440)
+++ test/graph_copy_test.cc	(revision 282)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
